package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ktg.iscs.domain.IsIsolationPoint;
import com.ktg.iscs.domain.dto.point.PagePointDTO;
import com.ktg.iscs.domain.vo.points.PointDetailVO;
import com.ktg.iscs.domain.vo.points.PointPageVO;

import java.util.List;

/**
 * 隔离点Service接口
 *
 * @author cgj
 * @date 2024-10-18
 */
public interface IIsIsolationPointService extends IService<IsIsolationPoint>
{
    /**
     * 查询隔离点
     *
     * @param pointId 隔离点主键
     * @return 隔离点
     */
    PointDetailVO selectIsIsolationPointByPointId(Long pointId);

    /**
     * 查询隔离点列表
     *
     * @param isIsolationPoint 隔离点
     * @return 隔离点集合
     */
    List<IsIsolationPoint> selectIsIsolationPointList(IsIsolationPoint isIsolationPoint);

    /**
     * 新增隔离点
     *
     * @param isIsolationPoint 隔离点
     * @return 结果
     */
    int insertIsIsolationPoint(IsIsolationPoint isIsolationPoint);

    /**
     * 修改隔离点
     *
     * @param isIsolationPoint 隔离点
     * @return 结果
     */
    int updateIsIsolationPoint(IsIsolationPoint isIsolationPoint);

    /**
     * 批量删除隔离点
     *
     * @param pointIds 需要删除的隔离点主键集合
     * @return 结果
     */
    int deleteIsIsolationPointByPointIds(String pointIds);

    /**
     * 删除隔离点信息
     *
     * @param pointId 隔离点主键
     * @return 结果
     */
    int deleteIsIsolationPointByPointId(Long pointId);

    List<PointDetailVO> getPointDetailList(List<Long> pointIds);

    Page<PointPageVO> getIsIsolationPointPage(Page<IsIsolationPoint> page, PagePointDTO dto);

    List<IsIsolationPoint> getIsIsolationPointList(Long workshopId, Long workareaId);

    IsIsolationPoint getOneByNfc(String nfc);


}
